Index: /trunk/doc/Flair/search/functions_e.js
===================================================================
--- /trunk/doc/Flair/search/functions_e.js	(revision 34)
+++ /trunk/doc/Flair/search/functions_e.js	(revision 35)
@@ -6,9 +6,9 @@
   ['objectindex',['objectIndex',['http://qt-project.org/doc/qt-4.8/qtextobject.html#objectIndex',0,'QTextObject::objectIndex()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectIndex',0,'QTextFormat::objectIndex()']]],
   ['objectinspector',['objectInspector',['http://qt-project.org/doc/qt-4.8/qdesignerformeditorinterface.html#objectInspector',0,'QDesignerFormEditorInterface']]],
-  ['objectname',['objectName',['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()'],['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()']]],
+  ['objectname',['ObjectName',['../classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a',1,'flair::core::Object::ObjectName()'],['http://qt-project.org/doc/qt-4.8/qobject.html#objectName-prop',0,'QObject::objectName()']]],
   ['objectownership',['objectOwnership',['http://qt-project.org/doc/qt-4.8/qdeclarativeengine.html#objectOwnership',0,'QDeclarativeEngine']]],
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
+  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: /trunk/include/FlairCore/ListWidget.h
===================================================================
--- /trunk/include/FlairCore/ListWidget.h	(revision 35)
+++ /trunk/include/FlairCore/ListWidget.h	(revision 35)
@@ -0,0 +1,97 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+/*!
+ * \file ListWidget.h
+ * \brief Class displaying a QListWidget on the ground station
+ * \author Thomas Fuhrmann, Copyright Heudiasyc UMR UTC/CNRS 7253
+ * \date 2016/07/26
+ * \version 1.0
+ */
+
+#ifndef LISTWIDGET_H
+#define LISTWIDGET_H
+
+#include <Widget.h>
+
+namespace flair {
+namespace gui {
+
+class LayoutPosition;
+
+/*! \class ListWidget
+ *
+ * \brief Class displaying a QListWidget on the ground station
+ *  
+ *  The internal list (called items) contains the same elements
+ *  as the list of the QListWidget on the ground station.
+ *  To do that, each action done on the ground station has to
+ *  applied thanks to a click on the "apply" button.
+ *
+ */
+class ListWidget : public Widget {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a QListWidget at given position.
+  *
+  * \param position position to display the QListWidget
+  * \param name name
+  */
+  ListWidget(const LayoutPosition *position, std::string name);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~ListWidget();
+
+  /*!
+ * \brief Add an item
+ *
+ * Add an item to the end of the list.
+ *
+ * \param name item nam
+ */
+  void AddItem(std::string name);
+
+  /*!
+  * \brief Remove an item
+  *
+  * Remove the currently selected item.
+  * The item is not removed from the internal xml file,
+  * because the xml is override by the GUI.
+  */
+  void RemoveItem(void);
+
+  const std::vector<std::string> &GetItemList() const;
+
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget.
+  *
+  */
+  void XmlEvent(void);
+
+  /**
+   * List of items displayed in the ground station.
+   */
+  std::vector<std::string> items;
+  /**
+   * Row of the item currently selected in the list.
+   */
+  uint16_t selectedItemRow;
+  /**
+   * Flag to know if the selected item has changed.
+   */
+  bool selectedItemChanged;
+};
+
+} // end namespace gui
+} // end namespace flair
+
+#endif // LISTWIDGET_H
Index: /trunk/scripts/flair_compile_all.sh
===================================================================
--- /trunk/scripts/flair_compile_all.sh	(revision 34)
+++ /trunk/scripts/flair_compile_all.sh	(revision 35)
@@ -82,5 +82,5 @@
 
 function compile_tools() {
-	for projects in FlairGCS Controller/DualShock3 Dbt2csv; do
+	for projects in FlairGCS Controller/DualShock3 Controller/Mavlink Dbt2csv; do
 		configure $FLAIR_ROOT/flair-src/tools $projects
 	   	compile $FLAIR_ROOT/flair-src/tools $projects
